import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vite';
import { paraglide } from "@inlang/paraglide-js-adapter-vite"
import path from "path"

export default defineConfig({
  plugins: [sveltekit(), paraglide({
    project: "./project.inlang.json",
    outdir: "./src/paraglide"
  })],
  resolve: {
    alias: {
      // This is the alias you can use in your code
      // you can change it to whatever you want
      "$paraglide": path.resolve(__dirname, "src/paraglide")
    }
  }
});
